# Uses of Interface
ch.qos.logback.core.html.CssBuilder

Packages that use CssBuilder
Package
Description
ch.qos.logback.access.html
Contains classes to format log output in HTML.
ch.qos.logback.classic.html
Contains classes to format log output in HTML.
ch.qos.logback.core.html
Contains the base classes needed to format logging events to HTML.

## Uses of CssBuilder in ch.qos.logback.access.html

Classes in ch.qos.logback.access.html that implement CssBuilder
Modifier and Type
Class
Description
`class`
`DefaultCssBuilder`
This class helps the HTMLLayout build the CSS link.
`class`
`UrlCssBuilder`
This class helps the HTMLLayout build the CSS link.

## Uses of CssBuilder in ch.qos.logback.classic.html

Classes in ch.qos.logback.classic.html that implement CssBuilder
Modifier and Type
Class
Description
`class`
`DefaultCssBuilder`
This class helps the HTMLLayout build the CSS link.
`class`
`UrlCssBuilder`
This class helps the HTMLLayout build the CSS link.

## Uses of CssBuilder in ch.qos.logback.core.html

Fields in ch.qos.logback.core.html declared as CssBuilder
Modifier and Type
Field
Description
`protected CssBuilder`
HTMLLayoutBase.`cssBuilder`
Methods in ch.qos.logback.core.html that return CssBuilder
Modifier and Type
Method
Description
`CssBuilder`
HTMLLayoutBase.`getCssBuilder()`
Methods in ch.qos.logback.core.html with parameters of type CssBuilder
Modifier and Type
Method
Description
`void`
HTMLLayoutBase.`setCssBuilder(CssBuilder cssBuilder)`